Commit 2f1ac158 authored by xjm's avatar xjm
Browse files

Issue #3122742 by alexpott: Fix PHP 5 tests on 8.7.x

(cherry picked from commit 0a5e29b0)
parent 5d6cba4e
......@@ -12,7 +12,8 @@ trait RequirementsPageTrait {
*/
protected function updateRequirementsProblem() {
// Assert a warning is shown on older test environments.
if (version_compare(phpversion(), DRUPAL_MINIMUM_SUPPORTED_PHP) < 0) {
$links = $this->getSession()->getPage()->findAll('named', ['link', 'try again']);
if ($links && version_compare(phpversion(), DRUPAL_MINIMUM_SUPPORTED_PHP) < 0) {
$this->assertNoText('Errors found');
$this->assertWarningSummaries(['PHP']);
$this->clickLink('try again');
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment